/*
 * SPDX-FileCopyrightText: 2018, 2019 Bruce Cowan <bruce@bcowan.me.uk>
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#pragma once

#include <stddef.h>

void * check_calloc       (size_t nmemb,
                           size_t size);
void * check_malloc       (size_t  size);
void * check_reallocarray (void   *ptr,
                           size_t  nmemb,
                           size_t  size);
